[**@rxap/material-table-system v19.0.2-dev.1**](../README.md)

***

[@rxap/material-table-system](../globals.md) / SelectRowService

# Class: SelectRowService\<Data\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:17](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/select-row.service.ts#L17)

## Type Parameters

• **Data** = `unknown`

## Constructors

### new SelectRowService()

> **new SelectRowService**\<`Data`\>(`options`): [`SelectRowService`](SelectRowService.md)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:26](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/select-row.service.ts#L26)

#### Parameters

##### options

`null` | [`SelectRowOptions`](../interfaces/SelectRowOptions.md)\<`Data`\>

#### Returns

[`SelectRowService`](SelectRowService.md)\<`Data`\>

## Properties

### selectedRows$

> **selectedRows$**: `Observable`\<`Data`[]\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:18](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/select-row.service.ts#L18)

***

### selectionModel

> `readonly` **selectionModel**: [`SelectionModel`](SelectionModel.md)\<`Data`\>

Defined in: [packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:20](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/select-row.service.ts#L20)

## Accessors

### selectedRows

#### Get Signature

> **get** **selectedRows**(): `Data`[]

Defined in: [packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:22](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/select-row.service.ts#L22)

##### Returns

`Data`[]

## Methods

### clear()

> **clear**(): `void`

Defined in: [packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:42](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/select-row.service.ts#L42)

#### Returns

`void`

***

### compareWith()

> **compareWith**(`a`, `b`): `boolean`

Defined in: [packages/angular/material/table-system/src/lib/select-row/select-row.service.ts:46](https://gitlab.com/rxap/packages/-/blob/8058138ff98d9e37b711846892c79ebc45ed17d4/packages/angular/material/table-system/src/lib/select-row/select-row.service.ts#L46)

#### Parameters

##### a

`Data`

##### b

`Data`

#### Returns

`boolean`
